using System;
using System.ComponentModel.DataAnnotations;

namespace _117507_Redirect_Tab_Submit_MVC_Core.Models
{
    public class CustomerModel
    {
        public Basic Basic { get; set; }
        public Detail Detail { get; set; }

        public int ActiveIndex { get; set; }
    }

    public class Basic
    {
        [Required(ErrorMessage = "Name is Required")]
        public string Name { get; set; }
    }

    public class Detail
    {
        [Required(ErrorMessage = "Country is Required")]
        public string Country { get; set; }

        [Required(ErrorMessage = "DOB is Required")]
        [DataType(DataType.Date, ErrorMessage = "DOB is Required")]
        [DisplayFormat(DataFormatString = "{0:yyyy-MM-dd}", ApplyFormatInEditMode = true)]
        public DateTime? DOB { get; set; }
    }
}